Protocol::Connection::UNIXSocket(3)

NAME
X11::Protocol::Connection::UNIXSocket - Perl module for IO::Socket::UNIX-based X11 connections

SYNOPSIS
  use X11::Protocol;
  use X11::Protocol::Connection::UNIXSocket;
  $conn = X11::Protocol::Connection::UNIXSocket
    ->open($host, $display_number);
  $x = X11::Protocol->new($conn);

DESCRIPTION
This module is used by X11::Protocol to establish a connection and communicate with a server over a local Unix-domain socket connection, using the IO::Socket::UNIX module. The host argument is ignored.

AUTHOR
Stephen McCamant <SMCCAM@cpan.org>.

SEE ALSO
perl(1), X11::Protocol, X11::Protocol::Connection::INETSocket, X11::Protocol::Connection::Socket, IO::Socket.